# KYT/hook/lua/sim/unit.lua
local sim_init = import('/mods/kyt/hook/lua/simInit.lua')


local oldUnit = Unit
Unit = Class(oldUnit) {
	
    OnKilled = function(self, instigator, cause, overkillRatio)
		--PrintText('Unit dead', 12, nil, 2, 'leftcenter')		
		ArmyBrains[self:GetArmy()].totaltime = ArmyBrains[self:GetArmy()].totaltime - 1
		timeleft = ArmyBrains[self:GetArmy()].totaltime - GetGameTimeSeconds() 
		--PrintText('Timeleft ' .. self:GetArmy() .. ' : ' .. timeleft .. ' (' .. ArmyBrains[self:GetArmy()].totaltime .. ')', 12, nil, 30, 'rightcenter')
		
		oldUnit.OnKilled(self, instigator, cause, overkillRatio) 
    end,	
	
	OnKilledUnit = function(self, unitKilled)
		--PrintText('Unit killed', 12, nil, 2, 'leftcenter')		
		ArmyBrains[self:GetArmy()].totaltime = ArmyBrains[self:GetArmy()].totaltime + 1
		timeleft = ArmyBrains[self:GetArmy()].totaltime - GetGameTimeSeconds() 
		--PrintText('Timeleft ' .. self:GetArmy() .. ' : ' .. timeleft .. ' (' .. ArmyBrains[self:GetArmy()].totaltime .. ')', 12, nil, 30, 'rightcenter')
		
		oldUnit.OnKilledUnit(self, unitKilled)
    end,
	
} 

